﻿using System;
using System.Collections.ObjectModel;
using System.ComponentModel;
using Syncfusion.Data.Extensions;
using Test.Models;

namespace Test.ViewModels
{
    public class ViewModel : NotificationObject
    {
        OrderInfoRepository order;

        public ViewModel()
        {
            SetRowstoGenerate(100);
            this.CustomerNames = Customers.ToObservableCollection();
        }


        public ObservableCollection<string> CustomerNames { get; set; }


        internal string[] Customers = new string[] { "Adams", "Crowley", "Ellis", "Gable", "Irvine", "Keefe", "Mendoza", "Owens", "Rooney", "Wadded", };


        #region ItemsSource

        private ObservableCollection<OrderInfo> ordersInfo;
        public ObservableCollection<OrderInfo> OrdersInfo
        {
            get
            {
                return ordersInfo;
            }
            set
            {
                this.ordersInfo = value;
            }
        }

        private ObservableCollection<OrderInfo> pickerInfo;
        public ObservableCollection<OrderInfo> PickerInfo
        {
            get
            {
                return pickerInfo;
            }
            set
            {
                this.pickerInfo = value;
            }
        }

        #endregion

        #region ItemSource Generator

        public void SetRowstoGenerate(int count)
        {
            order = new OrderInfoRepository();
            ordersInfo = order.GetOrderDetails(count);

            LoadPickerItems();
        }

        private void LoadPickerItems()
        {
            pickerInfo = new ObservableCollection<OrderInfo>();

            pickerInfo = ordersInfo;
        }

        #endregion
    }

    public class NotificationObject : INotifyPropertyChanged
    {
        public void RaisePropertyChanged(string propName)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
